# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.565   -> 1.566  
#	drivers/usb/serial/Config.in	1.16    -> 1.17   
#	drivers/usb/serial/ipaq.h	1.2     -> 1.3    
#	Documentation/usb/usb-serial.txt	1.8     -> 1.9    
#	drivers/usb/serial/ipaq.c	1.7     -> 1.8    
#	drivers/usb/serial/Config.help	1.3     -> 1.4    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/04/30	ganesh@vxindia.veritas.com	1.566
# [PATCH] usb ipaq driver update
# 
# USB ipaq driver
# 
# Added support for the Casio EM500. Completely untested. Thanks to
# info from Nathan <wfilardo@fuse.net>
# --------------------------------------------
#
diff -Nru a/Documentation/usb/usb-serial.txt b/Documentation/usb/usb-serial.txt
--- a/Documentation/usb/usb-serial.txt	Thu May  2 16:48:13 2002
+++ b/Documentation/usb/usb-serial.txt	Thu May  2 16:48:13 2002
@@ -95,10 +95,10 @@
   Kroah-Hartman at greg@kroah.com
 
 
-Compaq iPAQ and HP Jornada driver
+Compaq iPAQ, HP Jornada and Casio EM500 driver
 
-  This driver can be used to connect to Compaq iPAQ and HP Jornada PDAs
-  running Windows CE 3.0 or PocketPC 2002 using a USB cable/cradle. It
+  This driver can be used to connect to Compaq iPAQ, HP Jornada and Casio EM500
+  PDAs running Windows CE 3.0 or PocketPC 2002 using a USB cable/cradle. It
   has been tested only on the Compaq H3135, but is rumoured to work on
   with the H3600 and later models as well as the Jornada 548 and 568.
   With minor modifications, it may work for other CE based handhelds too.
diff -Nru a/drivers/usb/serial/Config.help b/drivers/usb/serial/Config.help
--- a/drivers/usb/serial/Config.help	Thu May  2 16:48:13 2002
+++ b/drivers/usb/serial/Config.help	Thu May  2 16:48:13 2002
@@ -60,9 +60,9 @@
   module, say M here and read <file:Documentation/modules.txt>.
 
 CONFIG_USB_SERIAL_IPAQ
-  Say Y here if you want to connect to your Compaq iPAQ or HP Jornada
-  548/568 running Windows CE 3.0 or PocketPC 2002 using a USB
-  cradle/cable. For information on using the driver,
+  Say Y here if you want to connect to your Compaq iPAQ, HP Jornada
+  548/568 or Casio EM500 running Windows CE 3.0 or PocketPC 2002
+  using a USB cradle/cable. For information on using the driver,
   read <file:Documentation/usb/usb-serial.txt>.
 
   This code is also available as a module ( = code which can be
diff -Nru a/drivers/usb/serial/Config.in b/drivers/usb/serial/Config.in
--- a/drivers/usb/serial/Config.in	Thu May  2 16:48:13 2002
+++ b/drivers/usb/serial/Config.in	Thu May  2 16:48:13 2002
@@ -16,7 +16,7 @@
 dep_tristate '  USB Empeg empeg-car Mark I/II Driver' CONFIG_USB_SERIAL_EMPEG $CONFIG_USB_SERIAL
 dep_tristate '  USB FTDI Single Port Serial Driver (EXPERIMENTAL)' CONFIG_USB_SERIAL_FTDI_SIO $CONFIG_USB_SERIAL $CONFIG_EXPERIMENTAL
 dep_tristate '  USB Handspring Visor / Palm m50x / Sony Clie Driver' CONFIG_USB_SERIAL_VISOR $CONFIG_USB_SERIAL
-dep_tristate '  USB Compaq iPAQ / HP Jornada Driver' CONFIG_USB_SERIAL_IPAQ $CONFIG_USB_SERIAL
+dep_tristate '  USB Compaq iPAQ / HP Jornada / Casio EM500 Driver' CONFIG_USB_SERIAL_IPAQ $CONFIG_USB_SERIAL
 dep_tristate '  USB IR Dongle Serial Driver (EXPERIMENTAL)' CONFIG_USB_SERIAL_IR $CONFIG_USB_SERIAL $CONFIG_EXPERIMENTAL
 dep_tristate '  USB Inside Out Edgeport Serial Driver' CONFIG_USB_SERIAL_EDGEPORT $CONFIG_USB_SERIAL
 dep_tristate '  USB Keyspan PDA Single Port Serial Driver' CONFIG_USB_SERIAL_KEYSPAN_PDA $CONFIG_USB_SERIAL
diff -Nru a/drivers/usb/serial/ipaq.c b/drivers/usb/serial/ipaq.c
--- a/drivers/usb/serial/ipaq.c	Thu May  2 16:48:13 2002
+++ b/drivers/usb/serial/ipaq.c	Thu May  2 16:48:13 2002
@@ -9,6 +9,10 @@
  *	the Free Software Foundation; either version 2 of the License, or
  *	(at your option) any later version.
  *
+ * (30/4/2002) ganesh
+ * 	Added support for the Casio EM500. Completely untested. Thanks
+ * 	to info from Nathan <wfilardo@fuse.net>
+ *
  * (19/3/2002) ganesh
  *	Don't submit urbs while holding spinlocks. Not strictly necessary
  *	in 2.5.x.
@@ -58,7 +62,7 @@
  */
 #define DRIVER_VERSION "v0.2"
 #define DRIVER_AUTHOR "Ganesh Varadarajan <ganesh@veritas.com>"
-#define DRIVER_DESC "USB Compaq iPAQ, HP Jornada driver"
+#define DRIVER_DESC "USB Compaq iPAQ, HP Jornada, Casio EM500 driver"
 
 /* Function prototypes for an ipaq */
 static int  ipaq_open (struct usb_serial_port *port, struct file *filp);
@@ -81,6 +85,7 @@
 	{ USB_DEVICE(COMPAQ_VENDOR_ID, COMPAQ_IPAQ_ID) },
 	{ USB_DEVICE(HP_VENDOR_ID, HP_JORNADA_548_ID) },
 	{ USB_DEVICE(HP_VENDOR_ID, HP_JORNADA_568_ID) },
+	{ USB_DEVICE(CASIO_VENDOR_ID, CASIO_EM500_ID) },
 	{ }					/* Terminating entry */
 };
 
diff -Nru a/drivers/usb/serial/ipaq.h b/drivers/usb/serial/ipaq.h
--- a/drivers/usb/serial/ipaq.h	Thu May  2 16:48:13 2002
+++ b/drivers/usb/serial/ipaq.h	Thu May  2 16:48:13 2002
@@ -23,6 +23,9 @@
 #define HP_JORNADA_548_ID	0x1016
 #define HP_JORNADA_568_ID	0x1116
 
+#define CASIO_VENDOR_ID		0x07cf
+#define CASIO_EM500_ID		0x2002
+
 /*
  * Since we can't queue our bulk write urbs (don't know why - it just
  * doesn't work), we can send down only one write urb at a time. The simplistic
